Bug 171653 - [PATCH] chinese/ibus-chewing: update to 1.4.2
Summary: [PATCH] chinese/ibus-chewing: update to 1.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-15 03:40 UTC by linpct
Modified: 2012-09-25 19:00 UTC (History)
1 user (show)

See Also:


Attachments
zh-ibus-chewing-1.4.2.patch (3.88 KB, patch)
2012-09-15 03:40 UTC, linpct
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description linpct 2012-09-15 03:40:05 UTC
- Update to 1.4.2

Removed file(s):
- files/patch-src-IBusChewingEngine-input-events.c
- files/patch-src-IBusChewingEngine.gob

Port maintainer (lihong@ieee.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2012-09-15 03:40:17 UTC
Maintainer of chinese/ibus-chewing,

Please note that PR ports/171653 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171653

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-09-15 03:40:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Eric L. Chen 2012-09-16 22:02:40 UTC
Accepted
On Sep 14, 2012 7:40 PM, "Edwin Groothuis" <edwin@freebsd.org> wrote:

> Maintainer of chinese/ibus-chewing,
>
> Please note that PR ports/171653 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171653
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-09-17 02:05:19 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Bryan Drewery freebsd_committer 2012-09-18 17:03:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 6 Bryan Drewery freebsd_committer 2012-09-20 03:35:43 UTC
Hi,

There was a build failure on amd64 as it was trying to install to
PREFIX/lib64 instead of PREFIX/lib. I've fixed this by adding
-DLIB_DIR=${PREFIX}/lib

You can see the updated patch here (includes some other minor cleanups
for recent ports standards):

http://people.freebsd.org/~bdrewery/patch-chinese-ibus-chewing.txt

However, there's still some issues with the build:

http://redports.org/~bdrewery/20120919004312-3401-68736/zh-ibus-chewing-1.4.2.log

The CMake scripts seem to be highly specific to Fedora.

1. It is trying to run 'date --utc', but this is not supported on
FreeBSD. Can you please check on this?

    -- Detecting CXX compiler ABI info - done
    *Hi
    date: illegal option -- -
    usage: date [-jnu] [-d dst] [-r seconds] [-t west]
[-v[+|-]val[ymwdHMS]] ...
                [-f fmt date | [[[[[cc]yy]mm]dd]HH]MM[.ss]] [+format]
    date: illegal option -- -
    usage: date [-jnu] [-d dst] [-r seconds] [-t west]
[-v[+|-]val[ymwdHMS]] ...
                [-f fmt date | [[[[[cc]yy]mm]dd]HH]MM[.ss]] [+format]

2. There are some warnings coming from generate-gconf-schemas. I'm not
sure if these are OK or not.

    (generate-gconf-schemas:57151): GLib-GObject-WARNING **: invalid
(NULL) pointer instance
    (generate-gconf-schemas:57151): GLib-GObject-CRITICAL **:
g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed


Regards,
Bryan Drewery
Comment 7 linpct 2012-09-20 04:01:27 UTC
Hello,

I think we could ignore the issues, I just compile and use it for a while
and not found otther problems.

But I'll keep in mind if there will be any other issue and I'll try to
patch again.

Thanks.

2012/9/20 Bryan Drewery <bdrewery@freebsd.org>

> Hi,
>
> There was a build failure on amd64 as it was trying to install to
> PREFIX/lib64 instead of PREFIX/lib. I've fixed this by adding
> -DLIB_DIR=${PREFIX}/lib
>
> You can see the updated patch here (includes some other minor cleanups
> for recent ports standards):
>
> http://people.freebsd.org/~bdrewery/patch-chinese-ibus-chewing.txt
>
> However, there's still some issues with the build:
>
>
> http://redports.org/~bdrewery/20120919004312-3401-68736/zh-ibus-chewing-1.4.2.log
>
> The CMake scripts seem to be highly specific to Fedora.
>
> 1. It is trying to run 'date --utc', but this is not supported on
> FreeBSD. Can you please check on this?
>
>     -- Detecting CXX compiler ABI info - done
>     *Hi
>     date: illegal option -- -
>     usage: date [-jnu] [-d dst] [-r seconds] [-t west]
> [-v[+|-]val[ymwdHMS]] ...
>                 [-f fmt date | [[[[[cc]yy]mm]dd]HH]MM[.ss]] [+format]
>     date: illegal option -- -
>     usage: date [-jnu] [-d dst] [-r seconds] [-t west]
> [-v[+|-]val[ymwdHMS]] ...
>                 [-f fmt date | [[[[[cc]yy]mm]dd]HH]MM[.ss]] [+format]
>
> 2. There are some warnings coming from generate-gconf-schemas. I'm not
> sure if these are OK or not.
>
>     (generate-gconf-schemas:57151): GLib-GObject-WARNING **: invalid
> (NULL) pointer instance
>     (generate-gconf-schemas:57151): GLib-GObject-CRITICAL **:
> g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
>
>
> Regards,
> Bryan Drewery
>



-- 
Daniel Lin (pct)
Comment 8 Bryan Drewery freebsd_committer 2012-09-25 18:52:59 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 9 dfilter service freebsd_committer 2012-09-25 18:53:09 UTC
Author: bdrewery
Date: Tue Sep 25 17:52:52 2012
New Revision: 304850
URL: http://svn.freebsd.org/changeset/ports/304850

Log:
  - Update to 1.4.2 [1]
  - Add LICENSE
  - Remove ABI versions from LIB_DEPENDS
  - Update to new Makefile header
  
  PR:		ports/171653 [1]
  Submitted by:	Jin-Sih Lin <linpct@gmail.com>
  Approved by:	Eric Camachat <lihong@ieee.org> (maintainer)

Deleted:
  head/chinese/ibus-chewing/files/
Modified:
  head/chinese/ibus-chewing/Makefile
  head/chinese/ibus-chewing/distinfo
  head/chinese/ibus-chewing/pkg-plist

Modified: head/chinese/ibus-chewing/Makefile
==============================================================================
--- head/chinese/ibus-chewing/Makefile	Tue Sep 25 17:52:49 2012	(r304849)
+++ head/chinese/ibus-chewing/Makefile	Tue Sep 25 17:52:52 2012	(r304850)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	zh-ibus-chewing
-# Date created:				24 December 2009
-# Whom:					Eric L. Chen <lihong@ieee.org>
-#
+# Created By: Eric L. Chen <lihong@ieee.org>
 # $FreeBSD$
-#
 
 PORTNAME=	ibus-chewing
-PORTVERSION=	1.3.10
-PORTREVISION=	2
+PORTVERSION=	1.4.2
 CATEGORIES=	chinese
 MASTER_SITES=	GOOGLE_CODE
 DISTNAME=	${PORTNAME}-${PORTVERSION}-Source
@@ -15,13 +10,16 @@ DISTNAME=	${PORTNAME}-${PORTVERSION}-Sou
 MAINTAINER=	lihong@ieee.org
 COMMENT=	Chewing engine for IBus
 
+LICENSE=	GPLv2
+
 BUILD_DEPENDS=	gob2:${PORTSDIR}/devel/gob2 \
 		${LOCALBASE}/share/cmake/Modules/ManageEnvironment.cmake:${PORTSDIR}/devel/cmake-fedora \
 		ibus-daemon:${PORTSDIR}/textproc/ibus
 RUN_DEPENDS=	ibus-daemon:${PORTSDIR}/textproc/ibus
-LIB_DEPENDS=	chewing.3:${PORTSDIR}/chinese/libchewing
+LIB_DEPENDS=	chewing:${PORTSDIR}/chinese/libchewing
 
-CMAKE_ARGS+=	-DSYSCONF_INSTALL_DIR=${PREFIX}/etc
+CMAKE_ARGS+=	-DSYSCONF_INSTALL_DIR=${PREFIX}/etc \
+		-DLIB_DIR=${PREFIX}/lib
 GCONF_SCHEMAS=	${PORTNAME}.schemas
 USE_CMAKE=	yes
 USE_GETTEXT=	yes

Modified: head/chinese/ibus-chewing/distinfo
==============================================================================
--- head/chinese/ibus-chewing/distinfo	Tue Sep 25 17:52:49 2012	(r304849)
+++ head/chinese/ibus-chewing/distinfo	Tue Sep 25 17:52:52 2012	(r304850)
@@ -1,2 +1,2 @@
-SHA256 (ibus-chewing-1.3.10-Source.tar.gz) = 171402a7d6d141d485454493e097746d73da7cef172d2ab5ec1a2c593a2ee1c8
-SIZE (ibus-chewing-1.3.10-Source.tar.gz) = 75365
+SHA256 (ibus-chewing-1.4.2-Source.tar.gz) = 857f479ebd85ecc217550573f80e1bff91b6e9bca4d1c9189f790fa6a9e3f75f
+SIZE (ibus-chewing-1.4.2-Source.tar.gz) = 84351

Modified: head/chinese/ibus-chewing/pkg-plist
==============================================================================
--- head/chinese/ibus-chewing/pkg-plist	Tue Sep 25 17:52:49 2012	(r304849)
+++ head/chinese/ibus-chewing/pkg-plist	Tue Sep 25 17:52:52 2012	(r304850)
@@ -1,4 +1,4 @@
-libexec/ibus-engine-chewing
+lib/ibus-engine-chewing
 %%DOCSDIR%%-%%PORTVERSION%%/AUTHORS
 %%DOCSDIR%%-%%PORTVERSION%%/COPYING
 %%DOCSDIR%%-%%PORTVERSION%%/ChangeLog
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"